Field names blueprints can use (tenant:settings:read)
GET /api/workflow/v1/blueprints/fields
Module: Workflow · operationId: listBlueprintFields · Tag: Blueprints · Auth: access token (Authorization: Bearer <accessToken>)
The trade transaction fields steps, overview fields and conditions can refer to, and which of
them a user step may mark editable. typeData. and lineData. are prefixes for the
transaction type's and the line's free-form data (e.g. typeData.validUntil). Line fields are
used in steps as lines.<field>.
Responses
- 200 Field names, sorted (
application/json) - 401 Missing or invalid token (
unauthorized) (application/json) - 403 Error (
application/json)
Fields of the 200 answer:
editableLines(array of string, required): Line fields a user step may changeeditableTransaction(array of string, required): Transaction fields a user step may changelines(array of string, required): Fields of one transaction linetransaction(array of string, required): Transaction fields
Example 200 answer:
{
"editableLines": [
"lineData.",
"articleNumber",
"discountPercent",
"quantity",
"unitPriceNet"
],
"editableTransaction": [
"typeData.",
"deliveryDate",
"documentDate",
"dueDate",
"footerText",
"headerText"
],
"lines": [
"articleNumber",
"name",
"quantity",
"taxRate",
"totalPriceNet",
"unitPriceNet"
],
"transaction": [
"typeData.",
"currency",
"deliveryDate",
"documentDate",
"dueDate",
"grossTotal",
"partnerCompany",
"status",
"transactionNumber",
"transactionType"
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/blueprints/fields' \
-H "Authorization: Bearer $ACCESS_TOKEN"